Skip to main content
GET
/
subscriptions
List Subscriptions
curl --request GET \
  --url https://api.toughtongueai.com/api/public/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "subscriptions": [
    {
      "id": "sub_abc123",
      "scenario_id": "scenario_xyz",
      "user_email": "subscriber@example.com",
      "plan": "monthly",
      "amount": 9.99,
      "currency": "USD",
      "status": "active",
      "current_period_end": "2024-02-15T10:30:00Z",
      "created_at": "2024-01-15T10:30:00Z"
    }
  ]
}
Returns all active subscriptions for scenarios and collections you’ve created.
user_email
string
Filter subscriptions by subscriber email
{
  "subscriptions": [
    {
      "id": "sub_abc123",
      "scenario_id": "scenario_xyz",
      "user_email": "subscriber@example.com",
      "plan": "monthly",
      "amount": 9.99,
      "currency": "USD",
      "status": "active",
      "current_period_end": "2024-02-15T10:30:00Z",
      "created_at": "2024-01-15T10:30:00Z"
    }
  ]
}